<?php
  # Maintenance Script
  # setzt Kategorie-Referenzen in die Kontobewegungen ein
  include ('functions.php');

  $query="SELECT * FROM kontobewegungen";
  $result = dbQuery($query);

  while ($row = dbFetchRow($result))
  {
      $pkey = $row['pkey'];
      $beschreibung = dbEscapeString($row['beschreibung']);
      $subquery = "SELECT pkey FROM kategorien WHERE beschreibung LIKE '$beschreibung'";
      $subresult = dbQuery($subquery) or die (dbError() . "\n");
      if (dbNumRows($subresult) > 0 ) {
          $myrow = dbFetchRow($subresult);
          print "pkey: $pkey, beschreibung: $beschreibung, $pkey_kategorien: " . $myrow['pkey'] . "\n";
          $updateQuery = "UPDATE kontobewegungen SET pkey_kategorien = " . 
          $myrow['pkey'] . " WHERE pkey = $pkey";
          dbQuery($updateQuery);
      }
  }
